%global momorel 10
%global date 20080123

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name: mlt
Version: 0.2.5
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.mltframework.org/twiki/bin/view/MLT/
Group: Applications/Multimedia
Source0: %{name}-%{version}-%{date}.tar.bz2
Patch0: %{name}-0.2.2-noO4.patch
Patch1: %{name}-0.2.2-linuxppc.patch
Patch2: %{name}-0.2.5-gcc43.patch
Patch3: %{name}-0.2.5-sox-header.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ImageMagick-devel >= 6.4.2.1
BuildRequires: SDL-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: ffmpeg-devel >= 0.4.9-0.20080318.2m
BuildRequires: jack-devel
BuildRequires: ladspa-devel
BuildRequires: lame-devel
BuildRequires: libdv-devel
BuildRequires: libmad
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: qt3-devel
BuildRequires: sox-devel >= 14.0.1

%description
Nonlinear Video Editor.

%package devel
Summary: MLT Video Editor headers/development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers for MLT.

%prep
%setup -q

%patch0 -p1 -b .noO4
%patch1 -p1 -b .ppc
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .sox1401

%build
%configure \
	--enable-gpl \
%ifarch %{ix86}
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--disable-debug

%make
# fail (build with optflags 0.2.5-0.20080123.1m)
# CFLAGS="%%{optflags}" CXXFLAGS="%%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog GPL README
%{_bindir}/albino
%{_bindir}/humperdink
%{_bindir}/inigo
%{_bindir}/miracle
%{_libdir}/lib*.so.*
%{_datadir}/mlt

%files devel
%defattr(-,root,root)
%doc docs/*.txt
%{_bindir}/mlt-config
%{_includedir}/mlt
%{_libdir}/pkgconfig/mlt-*.pc
%{_libdir}/lib*.so

%changelog
* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.10m)
- rebuild against ImageMagick-6.4.2.1

* Tue Jun 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.9m)
- rebuild against sox-14.0.1

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-0.20080123.8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-0.20080123.7m)
- rebuild against gcc43

* Sat Mar 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.6m)
- kdenlive crash fix

* Tue Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-0.20080123.5m)
- fix gcc-4.3

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.4m)
- BuildRequires: lame-devel

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.3m)
- build with libquicktime

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.2m)
- disable mmx ifnarch ix86

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.1m)
- initial package for kdenlive-0.5
- import tar-ball and patches from cooker
